@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

* {
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  
  margin: 0;
  block-size: 100vh;

  font-family: 'Lato', sans-serif;
  color: #FFF;
  background-color: #242333;
}

.movie-container {
  margin: 20px 0;
}

.movie-container select {
  margin-inline-start: 10px;
  padding-inline: 15px;
  padding-block: 5px;

  border: 0;
  border-radius: 5px;
  font-size: 0.875rem;
  background-color: #FFF;
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
}

.row {
  display: flex;
}
.seat {
  margin: 3px;
  inline-size: 15px;
  block-size: 12px;

  border-start-start-radius: 10px;
  border-start-end-radius: 10px;
  /* border-top-left-radius: 10px;
  border-top-right-radius: 10px; */

  background-color: #444451;
}

.seat.selected {
  background-color: #6FEAF6;
}
.seat.occupied {
  background-color: #FFF;
}

.seat:nth-of-type(2) {
  margin-inline-end: 18px;
}
.seat:nth-last-of-type(2) {
  margin-inline-start: 18px;
}

.seat:not(.occupied):hover {
  transform: scale(1.2);
  cursor: pointer;
}

.showcase .seat:not(.occupied):hover {
  transform: scale(1);
  cursor: default;
}

.showcase {
  display: flex;
  justify-content: space-between;
  padding: 5px 10px;
  border-radius: 5px;

  color: #777;
  background-color: rgba(0,0,0,0.1);
  list-style-type: none;
}

.showcase li {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 10px;
}

.showcase li small {
  margin-inline-start: 2px;
}

.container {
  margin-block-end: 30px;
  perspective: 1000px;
}
.screen {
  margin: 15px 0;
  inline-size: 100%;
  block-size: 70px;

  box-shadow: 0 3px 10px rgba(255,255,255,0.7);
  background-color: #FFF;
  transform: rotateX(-45deg);
}

p.checkout span {
  color: #6FEAF6;
}

p.checkout {
  margin: 5px 0;
}